using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.ComponentModel;
using Telerik.WinControls.Design;
using Telerik.WinControls.UI;
using Telerik.WinControls;

namespace Telerik.QuickStart.WinControls
{
    /// <summary>
    /// represent the RadCarouselItem
    /// </summary>
    [RadToolboxItem(false)]
    public class RadCarouselItem : RadButtonElement
    {
        //members
        private string description = string.Empty;
        private string title = string.Empty;
        private string treenodeText = string.Empty;

        
 
        public RadCarouselItem() : base()
        {
            this.UseSystemSkin = UseSystemSkinMode.NoInheritable;
        }

        public RadCarouselItem( string Desription ) : base()
        {
            this.Description = Description;
            this.UseSystemSkin = UseSystemSkinMode.NoInheritable;
        }

        public RadCarouselItem( string Desription, string Title )
            : base()
        {
            this.Description = Description;
            this.Title = Title;
            this.UseSystemSkin = UseSystemSkinMode.NoInheritable;
        }

        /// <summary>
        /// Get ot set the TreeNodeText
        /// </summary>
        [DefaultValue("")]
        public string TreeNodeText
        {
            get { return treenodeText; }
            set { treenodeText = value; }
        }

        [DefaultValue( "" )]
        //Get or set text description
        public string Description
        {
            get{ return this.description; }
            set{ this.description = value; }
        }

        [DefaultValue( "" )]
        //Get or set item title
        public string Title
        {
            get{ return this.title; }
            set{ this.title = value; }
        }

    }
}
